Subject: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Protesilaos Stavrou <[email-masked]>
Date: Sun, 26 Dec 2021 23:39:41 +0200

On 2021-12-26, 22:04 +0100, Rudolf Adamkovič <[email-masked]> wrote:

> Protesilaos Stavrou <[email-masked]> writes:
>
>> Do you get the same results?
>
> Oh, I do!  That said, if I reverse last two steps, I do not:
>
>> - Create a file with demo content, such as ~/test-org-block.org
>> - Execute 'emacs -Q' on the command-line.
>> - M-x load-theme RET modus-operandi
>> - C-x C-f test-org-block.org RET

Gotcha!  I can reproduce that.  It is not a theme issue.  I checked the
Org code a bit.  There is a function in org-compat.el called
'org--set-faces-extend' and in org.el we see it being used in the
(define-derived-mode org-mode ... part.

In other words, M-x org-mode wants those faces to have ':extend t'.

I must investigate this further, though my first impression is that we
need to notify the Org folks about it.

-- 
Protesilaos Stavrou
https://protesilaos.com